Bug 8100 - DataTables in Acquisision module: neworderbiblio.tt
Summary: DataTables in Acquisision module: neworderbiblio.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 5345
  Show dependency treegraph
 
Reported: 2012-05-16 11:51 UTC by Jonathan Druart
Modified: 2013-12-05 20:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
neworderbiblio.tt (2.12 KB, patch)
2012-05-16 11:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PATCH 08/16] Bug 5345: DataTables integration in acquisition module [8] (2.41 KB, patch)
2012-05-25 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8100: DataTables integration in acquisition module [8] (2.48 KB, patch)
2012-06-11 12:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2012-05-16 11:51:08 UTC
DataTables in Acquisision module: neworderbiblio.tt
Comment 1 Jonathan Druart 2012-05-16 11:57:25 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2012-05-16 12:27:40 UTC
Comment from Bug 5345:

8) neworderbiblio.tt - still applies on current master. There is still a pagination on top of the page. I think sorting only a single result page does not make sense. We should remove the pagination in favor of the datatables or keep pagination for now. FAILED QA
Comment 3 Paul Poulain 2012-05-24 11:50:17 UTC
Katrin and Owen, this bug comes from bug 5345 and has a comment related to a comment you made on the bug 5345, so adding you to this bug
Comment 4 Jonathan Druart 2012-05-25 14:37:32 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2012-06-11 12:32:49 UTC
I am not sure what this patch does. 
I think it changes the result list for when you are searching for an existing record?
I can see it adds zebra striping to the table, but there seem to be no options for sorting and the old pagination is still in place.
Comment 6 Jonathan Druart 2012-06-11 12:47:14 UTC
Yes, this patch adds datatable but without sort, filters and pagination.
Comment 7 Katrin Fischer 2012-06-11 12:51:10 UTC
Well, in that case it's all ok :) Sign off coming.
Comment 8 Katrin Fischer 2012-06-11 12:52:44 UTC
Created attachment 10198 [details] [review]
[SIGNED-OFF] Bug 8100: DataTables integration in acquisition module [8]

neworderbiblio.tt

http://bugs.koha-community.org/show_bug.cgi?id=8100

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Fixed bug number.
Comment 9 Ian Walls 2012-06-15 17:24:18 UTC
Template only change, includes JS, CSS, and includes strings.  Minor table structure fixes.  Marking Passed QA.
Comment 10 Jared Camins-Esakov 2012-12-31 01:12:43 UTC
There have been no further reports of problems so I am marking this bug resolved.